| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# GaudiPython::AlgDecorator Class Reference

`#include <AlgDecorators.h>`

List of all members.

## Detailed Description

Definition at line 44 of file AlgDecorators.h.

## Static Public Member Functions
static IAlgTool * | tool_ (const GaudiAlgorithm *alg, const std::string &type, const std::string &name, const IInterface *parent=0, const bool create=true)
| get the tool from GaudiAlgorithm
static IAlgTool * | tool_ (const GaudiAlgorithm *alg, const std::string &typeAndName, const IInterface *parent=0, const bool create=true)
| get the tool from GaudiAlgorithm
static IInterface * | svc_ (const GaudiAlgorithm *alg, const std::string &name, const bool create=false)
| get the service from GaudiAlgorithm

## Member Function Documentation

IAlgTool * GaudiPython::AlgDecorator::tool_ | ( | const GaudiAlgorithm * | alg,
|  | const std::string & | type,
|  | const std::string & | name,
|  | const IInterface * | parent = `0`,
|  | const bool | create = `true` |
| ) |  |  | `[static]`

get the tool from GaudiAlgorithm

Parameters:

  | alg | GaudiAlgorithm
  | type | tool type
  | name | tool name
  | parent | tool parent
  | create | flag to create

Returns:
  the tool

Definition at line 36 of file AlgDecorators.cpp.

References name.

    00041 {
    00042   if ( 0 == alg ) { return 0 ; }
    00043   return alg -> tool<IAlgTool> ( type , name , parent , create ) ;
    00044 };

IAlgTool * GaudiPython::AlgDecorator::tool_ | ( | const GaudiAlgorithm * | alg,
|  | const std::string & | typeAndName,
|  | const IInterface * | parent = `0`,
|  | const bool | create = `true` |
| ) |  |  | `[static]`

get the tool from GaudiAlgorithm

Parameters:

  | alg | GaudiAlgorithm
  | typeAndName | tool type/name
  | parent | tool parent
  | create | flag to create

Returns:
  the tool

Definition at line 57 of file AlgDecorators.cpp.

References GaudiCommon< PBASE >::tool().

    00061 {
    00062   if ( 0 == alg ) { return 0 ; }
    00063   return alg->tool<IAlgTool>( typeAndName , parent , create ) ;
    00064 };

IInterface * GaudiPython::AlgDecorator::svc_ | ( | const GaudiAlgorithm * | alg,
|  | const std::string & | name,
|  | const bool | create = `false` |
| ) |  |  | `[static]`

get the service from GaudiAlgorithm

Parameters:

  | alg | GaudiAlgorithm
  | name | service name
  | create | flag to create

Returns:
  the tool

Definition at line 76 of file AlgDecorators.cpp.

References name.

    00079 {
    00080   if ( 0 == alg ) { return 0 ; }
    00081   return alg -> svc<IInterface> ( name , create ) ;
    00082 };

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiPython/v9r2/GaudiPython/AlgDecorators.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiPython/v9r2/src/Lib/AlgDecorators.cpp